jif.types.label

## Class AccessPathRoot

- java.lang.Object
- - jif.types.label.AccessPath
  - - jif.types.label.AccessPathRoot

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, polyglot.util.Copy
  Direct Known Subclasses:
    AccessPathClass, AccessPathConstant, AccessPathLocal, AccessPathThis, AccessPathUninterpreted

      public abstract class AccessPathRoot
      extends AccessPath

  Represents a final access path root.
  See Also:
    `AccessPath`, Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface polyglot.util.Copy

      `polyglot.util.Copy.Util`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AccessPathRoot(polyglot.util.Position pos)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equivalentTo(AccessPath p, LabelEnv env)`
    `boolean` | `isUninterpreted()`
    `PathMap` | `labelcheck(JifContext A, LabelChecker lc)`
    `AccessPathRoot` | `root()`

    - ### Methods inherited from class jif.types.label.AccessPath

      `copy, equals, exprString, hashCode, isCanonical, isNeverNull, position, subst, throwTypes, type, verify`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AccessPathRoot

          protected AccessPathRoot(polyglot.util.Position pos)

  - ### Method Detail

    - #### isUninterpreted

          public boolean isUninterpreted()

      Specified by:
        `isUninterpreted` in class `AccessPath`

    - #### root

          public final AccessPathRoot root()

      Specified by:
        `root` in class `AccessPath`

    - #### labelcheck

          public PathMap labelcheck(JifContext A,
                                    LabelChecker lc)

      Specified by:
        `labelcheck` in class `AccessPath`

    - #### equivalentTo

          public boolean equivalentTo(AccessPath p,
                                      LabelEnv env)

      Specified by:
        `equivalentTo` in class `AccessPath`